Blender allows you to save you own .blend file to use on startup.  

This is great, but wouldn't it be nice to be able to create **your own templates**?  

**Custom Templates** allows you to use your own .blend files as template options for new projects.

---

> Instead of being limited to the usual options Blender offers to start a new project *(General, 2D Animation, Sculpting, VFX, Video Editing)*, you will be able to configure your own list of .blend files.  

Your templates will be added in the `File > New` menu and in the Splash Screen *(according to preferences)*.

---

Create your own templates or find the ones that best suit your needs online.  

---

*Customize workspaces, preset your usual materials, define additional windows or anything else you would like to have from the beginning.*  
*The only limit is your immagination!*  
#### Import/Export

When your templates are ready, you can export the list to JSON file.  
This way, you will be able to easily restore your templates, if necessary.  
*For example, after disabling and re-enabling the add-on...*

---

*For more details checkout the project's [README](https://projects.blender.org/Francesco-Bellini/custom_templates_addon/src/branch/main/README.md)*

---

#### Make your new projects easier from the start